Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008442opensim[REGION] Script Functionspublic2019-01-06 17:532019-01-16 12:42
Reporterdjphil 
Assigned Todjphil 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008442: [SCRIPT] Small bug with osSetDynamicTextureDataBlendFace under Linux
DescriptionI just found a bug with osSetDynamicTextureDataBlendFace under Linux, the penultimate parameter "alpha" has no effect ...

Steps To ReproduceTested with the Total Sorbet script found @ https://forums.osgrid.org/viewtopic.php?f=5&t=6241&p=28064#p28064 [^]
Additional InformationTested with XEngine on my regions under Windows and on OsGrid Sandbox Plaza under Linux.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Filesjpg file icon dynamic_texture_alpha_01.jpg [^] (312,553 bytes) 2019-01-16 08:59

- Relationships

-  Notes
(0033812)
UbitUmarov (administrator)
2019-01-15 16:58

changed how blending is done
with blend option true, the parameter alpha is transparency applied to the texture on drawing on top of the face texture.
- a value of 0 will do nothing, only the face texture is visible.
- with value of 255 backgroud visibilty depends on texture alpha

this seems more usefull for osSetDynamicTextureURLBlendFace
both windows and linux look similar now.

blend option false, for now just replaces the alpha channel of the texture, guess not that usefull.

this is a breaking change, scripts using this without blend == true and alpha == 255 will generate diferent images.

we can consider reverting this.
(0033822)
djphil (reporter)
2019-01-16 09:00
edited on: 2019-01-16 09:12

I just tested and here is what I think explained on the screenshot.

Tested with this script:
// Change values here
integer alpha = 255;
integer status = TRUE;

default
{
    on_rez(integer p) {llResetScript();}
    touch_start(integer n) {llResetScript();}
    
    state_entry()
    {
        llSetTexture(osGetMapTexture(), 0);

        string cmd;
        cmd = osSetPenSize(cmd, 3);
        cmd = osSetPenColor(cmd, "White");
        cmd = osMovePen(cmd, 78, 78);
        cmd = osDrawRectangle(cmd, 100, 100);
        // Change alpha value here
        string params = "width:256, height:256, alpha: 0";
        osSetDynamicTextureDataBlendFace("", "vector", cmd, params, status, 2, 0, alpha, 0);
    }
}

(0033823)
UbitUmarov (administrator)
2019-01-16 12:31

made a few more changes to the blend process
(0033824)
djphil (reporter)
2019-01-16 12:42

Yes, it work perfectly now, tyvm :)

- Issue History
Date Modified Username Field Change
2019-01-06 17:53 djphil New Issue
2019-01-06 19:50 djphil Additional Information Updated View Revisions
2019-01-15 16:58 UbitUmarov Note Added: 0033812
2019-01-16 08:59 djphil File Added: dynamic_texture_alpha_01.jpg
2019-01-16 09:00 djphil Note Added: 0033822
2019-01-16 09:10 djphil Note Edited: 0033822 View Revisions
2019-01-16 09:10 djphil Note Edited: 0033822 View Revisions
2019-01-16 09:11 djphil Note Edited: 0033822 View Revisions
2019-01-16 09:12 djphil Note Edited: 0033822 View Revisions
2019-01-16 12:31 UbitUmarov Note Added: 0033823
2019-01-16 12:42 djphil Note Added: 0033824
2019-01-16 12:42 djphil Status new => resolved
2019-01-16 12:42 djphil Resolution open => fixed
2019-01-16 12:42 djphil Assigned To => djphil


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker